The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Update the SSL Configuration

Prev Next

This URL updates the SSL configuration on Sensor and is applicable for Sensors other than 9.2 NS series.

Resource URL

PUT / sensor/<sensor_id>/sslconfiguration

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensor_id Sensor id Number Yes

Payload Parameters:

Field Name Description Data Type Mandatory
enableSSl Enable SSL on Sensor Boolean Yes
enablePktLogging Enable packet logging on Sensor Boolean No
sslFlows SSL flows enabled on Sensor String No
sslCacheTimer SSL cache timer String No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful Number

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/1002/sslconfiguration

Payload

 {
       "enableSSl": true,
       "enablePktLogging": false,
       "sslFlows": "25000",
       "sslCacheTimer": "5",
    } 

Response

{
"status": 1
} 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor
2 500 1124 The Sensor is inactive
3 400 5401 FIPS enabled on Sensor
4 400 5402 0 is invalid to enter in SSL flows. Please disable SSL directly
5 400 5403 Flow should be between 100 and (maxFlow)
6 400 5404 SSL flow and SSL cache timer are numeric fields
7 400 5405 Maximum cache timer allowed is 9999
8 400 1153 SSL key decryption is not supported for this Sensor